<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper
	namespace="cn.com.ty.lift.ud.schoolVideo.mapper.SchoolVideoMapper">

   <select id="selectByQuery" resultType="cn.com.ty.lift.ud.schoolVideo.mapper.entity.SchoolVideoEntity" >
     SELECT a.*,b.name nickname,b.avatar_url avatarUrl
     FROM school_video AS a
     LEFT JOIN user_info AS b ON a.user_id=b.user_id
    <where>
        ${ew.sqlSegment}
    </where>
     limit #{page.pageIndex},#{page.pageSize}
  </select>
  <select id="countByQuery" resultType="java.lang.Integer">
    select count(0)  from school_video as a left join user_info as b on a.user_id=b.user_id
    <where>
        ${ew.sqlSegment}
    </where>
  </select>
</mapper>